services:
    Claroline\TransferBundle\Subscriber\Crud\ImportFileSubscriber:
        arguments:
            - '@security.token_storage'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\Crud'
            - '%claroline.transfer.logs_dir%'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\TransferBundle\Subscriber\Crud\ExportFileSubscriber:
        arguments:
            - '@security.token_storage'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\AppBundle\API\Crud'
            - '%claroline.transfer.files_dir%'
            - '%claroline.transfer.logs_dir%'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\TransferBundle\Subscriber\Tool\TransferToolSubscriber:
        arguments:
            - '@Claroline\TransferBundle\Transfer\ImportProvider'
            - '@Claroline\TransferBundle\Transfer\ExportProvider'
            - '@Claroline\AppBundle\API\SerializerProvider'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\TransferBundle\Subscriber\Scheduler\ScheduledTransferSubscriber:
        arguments:
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@Claroline\TransferBundle\Manager\TransferManager'
        tags:
            - { name: kernel.event_subscriber }
